<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.TConfigEndtimeMapper">
    <resultMap id="BaseResultMap" type="com.nantian.cloud.dbcapp.entity.TConfigEndtime">
        <id column="id" property="id" />
        <result column="enterpriseCode" property="enterpriseCode" />
        <result column="endTime" property="endTime" />
    </resultMap>
    <select id="getList" resultType="java.util.Map">
        SELECT * FROM history_config_endtime WHERE enterpriseCode =#{epc}
    </select>

    <update id="UpdateEndTime" parameterType="com.nantian.cloud.dbcapp.entity.TConfigEndtime">
        UPDATE history_config_endtime a
        set  a.endTime=#{query.endTime}
        where a.id=#{query.id}
    </update>
</mapper>